2005-05-11 Chy
	* make the skyeye-0.9.4 run on cygwin. now skyeye-0.9.5 released!
	* changed file:
	sim/arm/armdefs.h
	sim/arm/dbct/arm2x86.[ch]
	sim/arm/dbct/arm2x86_mem.c
2005-04-22 Yin Wen Chao
        * open teawater's code in bank_ptr, and add insn_bank_ptr for dbct
	* add a global variable to store the bank_ptr result in mem_*_*. The
	coresponding real_*_* just use the result directly, no need to call bank_ptr again
	* move tb_setdirty from mem_write_* to real_write_*
	* changed file:
	sim/arm/dbct/tb.c
	sim/arm/armmem.c
2005-04-12 walimis 
        * add s3c2440 simulation
	* add files: add s3c2440 mach. 
	sim/arm/skyeye_mach_s3c2440.c
	sim/arm/s3c2440.h
	* changed files: add s3c2440 mach.
	sim/arm/skyeye_options.c
	sim/arm/Makefile.in
	sim/arm/Makefile.in.gtk-1.2
	sim/arm/Makefile.in.gtk-2.0
2005-04-07 Yin Wen Chao
        * fix little bug for dbct init
	* changed file:
	sim/arm/arminit.c
2005-04-01 teawater Yin Wenchao
        * version 0.9.2
	* add dynamic binary code translation, thanks for teawater's great work .
	* fix a bug in flash simulation
	* add directory:
	sim/arm/dbct
	* add files:
	sim/arm/dbct/arm2x86.[ch]
	sim/arm/dbct/arm2x86_dp.[ch]
	sim/arm/dbct/arm2x86_mem.[ch]
	sim/arm/dbct/arm2x86_movl.[ch]
	sim/arm/dbct/arm2x86_mul.[ch]
	sim/arm/dbct/arm2x86_other.[ch]
	sim/arm/dbct/arm2x86_psr.[ch]
	sim/arm/dbct/arm2x86_shift.[ch]
	sim/arm/dbct/arm2x86_test.[ch]
	sim/arm/dbct/tb.[ch]
	sim/arm/dbct/arm2x86_self.h
	sim/arm/dbct/list.h
	* changed files:
	sim/arm/armdefs.h
	sim/arm/armemu.c
	sim/arm/arminit.c
	sim/arm/armmem.[ch]
	sim/arm/skyeye_options.c
	sim/arm/wrapper.c
	sim/arm/Makefile.in
	sim/arm/skyeye_mach_lpc.c
	sim/arm/skyeye_config.h
	sim/arm/skyeye_flash.c

2005-03-30 YIN Wenchao Ye Wen(wenye@cs.ucsb.edu)
        * version 0.9.0
	* add flash simulation, many thanks to Ye Wen .
	* add files:
	sim/arm/armflash.[ch]
	sim/arm/skyeye_flash.[ch]
	* changed files:
	sim/arm/skyeye_config.h
	sim/arm/skyeye_options.c
	sim/arm/armmem.c
	sim/arm/skyeye_mach_pxa.c
	sim/arm/Makefile.in
											

2005-02-25 zhangzhichao(zhang_zhichao@hotmail.com) 
watercloud(watercloud@xfocus.org)
	* base on version 0.8.7
	* integrate insight with skyeye, many thanks to watercloud.
	* port skyeye to cygwin.
	  1) temporary disable network simulation on win32.
	  2) lcd simulation on win32 need gtk support.There are many way to run gtk 
on win32.
	     we had test the following two methods.
	     a)using Xserver(XWin) which delivered with cygwin
	     b)using GTK binary release for cygwin on 
http://web.sfc.keio.ac.jp/~s01397ms/cygwin/index.html.en
	* fix some bugs in makefile, let skyeye can compile in separate path
	* Known bug: currently skyeye+insight on cygwin can not corrently deal with 
console input&output.
	  Any comments about this issue,pls share with us.thanks.
	* added file:
	sim\arm\skyeye_stub_win32.c
	* changed files:
	gdb\Makefile.in
	sim\Makefile.in
	sim\common\Make-common.in
	sim\common\Makefile.in
	sim\arm\Makefile.in
	sim\arm\skyeye_mach_at91.c
	sim\arm\skyeye_mach_at91rm92.c
	sim\arm\skyeye_mach_cs89712.c
	sim\arm\skyeye_mach_ep7312.c
	sim\arm\skyeye_mach_ep9312.c
	sim\arm\skyeye_mach_lh79520.c
	sim\arm\skyeye_mach_lpc.c
	sim\arm\skyeye_mach_s3c2410x.c
	sim\arm\skyeye_mach_s3c44b0.c
	sim\arm\skyeye_mach_s3c4510b.c
	sim\arm\skyeye_net_tuntap.c
	sim\arm\skyeye_net_vnet.c
	sim\arm\skyeye-ne2k.c

2005-01-19 walimis shiyang
        * add s3c2410x simulation, many thanks to shiyang.
	* add files: add s3c2410x mach. now it can boot 2.4.18 kernel.
	sim/arm/skyeye_mach_s3c2410x.c
	sim/arm/s3c2410x.h
	* changed files: add s3c2410x mach.
	sim/arm/skyeye_options.c
	sim/arm/Makefile.in

2005-01-07 chenyu
	* version 0.8.6
	* make gcc-2.95 can compile skyeye
	* add and commit teawater' codes for armmem.c
	* add -O2 compile option for Make
	* changed file
	sim/arm/arm7100_mmu.c
	sim/arm/arm920t_mmu.c
	sim/arm/armsym.c
	sim/arm/sa_mmu.c
	sim/arm/skyeye_mach_at91.c
	sim/arm/skyeye_mach_cs89712.c
	sim/arm/xscale_copro.c
	sim/arm/mmu/cache.c
	sim/arm/mmu/tlb.c
	sim/arm/mmu/wb.c
	sim/arm/armmem.c
	gdb/top.c
	./Makefile.in
	sim/arm/Makefile.in
	./README

2004-12-23 walimis <wlm@student.dlut.edu.cn>
        * skyeye_mach_s3c4510b.c: modify mach_init

2004-12-5 chenyu
        * change skyeye_options.c for eclipse,only for test

2004-12-2 chenyu
        * make the gcc-3.4 can compile skyeye
	* changed file
	sim/arm/skyeye_mach_at91rm92.c
	sim/arm/skyeye_mach_cs89712.c
	sim/arm/skyeye_mach_lh79520.c
	sim/arm/skyeye_mach_lpc.c
	gdb/arm-tdep.c

2004-11-30 YinWenChao
        * update LCD simulation on ep7312(add support to depth 12 )
        * add LCD simulation on pxa  (successfully ported minigui )
        * add LCD simulation on at91 (framebuffer works,but minigui has 
error)
        * changed files: skyeye_lcd.c
                         skyeye_mach_ep7312.c
                         skyeye_mach_pxa.c pxa.h xscale-copro.c
                         skyeye_math_at91.c at91.h

2004-11-29 Cai Qiang <caiqiang@ustc.edu>
	* add simulation of LH79520
        	* changed files: skyeye_options.c Makefile.in
		* add files: skyeye_mach_lh79520.c, lh79520-hardware.h,
			lh79520-irqs.h, serial_amba_pl011.h, lh79520.h

2004-11-26 ksh
  * add energy profile function,now only support pxa
	* changed file in sim/arm:
		 Makefile.in
		 armdefs.h
		 armemu.c
		 armengr.c
		 armengr.h
		 armsym.c
		 armsym.h
		 skyeye_config.h
		 skyeye_options.c
		 wrapper.c
		 skyeye_mach_pxa.c /*not completed*/
2004-11-24 Benno <benjl@cse.unsw.edu.au>, chenyu
        * Thanks Benno, etc who developed L4 OS found bugs
	* The bug is in the LoadMult function: (sim/arm/armemu.c). Basically
	the value should not be updated on an abort. Without this fix data is
	corrupted while running the L4 operating system. With this fix we are
	able to run L4 and Linux server on top of L4.
	* changed file: skyeye/sim/arm/armemu.c

2004-11-12 teawater,oyangjian
	* modify ~/sim/arm/wrapper.c,skyeye_config.h,skyeye_option.c,armdefs.h
	* if add below option in skyeye.conf
	* step_disassemble:on[off]
	* then after each step command, the skyeye will show the next instrument 	*

2004-11-6 Cai Qiang, walimis <wlm@student.dlut.edu.cn>
	* add files for simulation of EP9312
        * add EP9312 simulation, changed files: skyeye_options.c Makefile.in
	* add files: skyeye_mach_ep9312.c, clps9312.h ep9312.h serial_amba.h

2004-11-4 walimis <wlm@student.dlut.edu.cn>
	* clean at91rm9200 simulation code: at91rm92.h skyeye_mach_at91rm92.c

2004-11-3 walimis <wlm@student.dlut.edu.cn>
	* modified at91rm9200 uart simulation. now it can boot ARMLinux.
	* clean some codes of s3c4510b
        * changed file: skyeye_mach_at91rm92.c, at91rm92.h, 
skyeye_mach_s3c4510b.c
2004-10-30 walimis <wlm@student.dlut.edu.cn>
        * add ethernet support for s3c4510b. thanks to
          telpro2003@yahoo.com.cn
        * add files: dev_net_s3c4510b.h
        * changed files: skyeye_mach_s3c4510b.c

2004-09-29 chy
	* fix some no used code for lcd address test in armmem.c
	* fix some files for gtk-2.0 using pkg-config
	* changed files: gdb/Makefile.in sim/arm/Makefile.in sim/arm/configure

2004-08-07 chy
        * provide more info when open log file error
	* add ringbuffer log function, using log:length Option
	* changed files: skyeye_options.c skyeye_config.[ch] armemu.c

2004-8-7 KangSuo, YinWenChao
	* update LCD simulation on ep7312 (minigui can run on skyeye) (by 
YiWenChao)
	* add Philips LPC2xxxx CPU simulation (by Kang Suo)
	* added files: lpc.h skyeye_mach_lpc.c
	* changed files: skyeye_lcd.c skyeye_options.c skyeye_mach_ep7312.c 
Makefile.in
2004-8-1 walimis <wlm@student.dlut.edu.cn>
	* add at91rm9200 simulation and mmu for arm920t. but it isn't completed.
	* correct s3c4510b interrupt simulation. thanks to
	  telpro2003@yahoo.com.cn
	* add files: skyeye_mach_at91rm92.c, at91rm92.h,arm920t_mmu.c,
			arm920t_mmu.h.
	* changed files: armemu.c, armemu.h, mmu/cache.ch, skyeye_options.c

2004-07-21 LuZeTao
	* luzetao make the pxa uart simulation more perfect!
	* Change file:
	  skyeye_mach_pxa.c

2004-07-19 LianZhuLing
	* add sharp lh7a400 (arm922t) CPU simulation from lianzhuling, now have not 
arm922t mmu cache support
	* add file:
	  sharp.h skyeye_mach_sharp.c
	* changed file:
          skyeye_option.c Makefile.in

2004-07-19 LuZeTao, chenyu
        * luzetao find a solution to make linux-2.6.x output correctly 
through serail: if (pxa_io.ffier&0x2){ irq |= FFUART_IRQ; } ,then 
linux-2.6.x can run correctly!
	* add support of xscale MMU_CacheDisabled option control in cache read or 
write
        * fix skyeye_mach_pxa.c refresh_irq FUN
	* commit some info about xscale simulation not realized,so maybe fix in the 
future. Notice 2004-07-19
	* change file:
	  skyeye_mach_pxa.c armsupp.c xscale_copro.c

2004-06-23 chenyu
        * fix skyeye_mach_pxa.c refresh_irq FUN,  FFIER    TIE or RAVIE, so 
shoud be 3, FFIIR 0x4 or 0x2=0x6
	* change file:
	  skyeye_mach_pxa.c

2004-06-06 chenyu, lyh
	* set version 0.7.4
        * fix bugs found by wenye@cs.ucsb.edu. rb_masks error in rb.c , 
malloc wb->data error in mmu_wb_init FUN in wb.c
	* mmu_rb_load FUN in rb.c, mmu_rb_search FUN in rb.c, mcr MMU_PID process 
in sa_mmu.c
        * Change file:
	  mmu/rb.c mmu/wb.c sa_mmu.c
	* fix bugs in LoadSMult function in armemu.c, read line 4615 for more info
	* add log level, 0--no log info, 1-- pc instr, 2-- pc, instr 
state->Reg[0-15], 3 --pc, instr state->Reg state->RegBank
	* Change file:
          armemu.c
	* improve the simulation speed of SA11xx and PXAxxx
	* Change file:
	  skyeye_mach_sa.c  skyeye_mach_pxa.c

2004-05-25 chenyu
        * set version 0.7.3
	* fix bug provided by Carl van Schaik <cvansch@cse.unsw.EDU.AU> , 
ARMul_Emulate32 FUN in armemu.c
        * fix bug that LDC STC process dataabort.  ARMul_LDC ARMul_STC  FUNs 
in armsupp.c
	* fix bug that use/system code use mrc/mcr coprocessor1, stc/ldc 
coprocessor2 instr, cause underfinedinstr error. ARMul_CoProInit FUN in 
armcopro.c
	* Changed file:
	  armemu.c  armsupp.c  armcopro.c   skyeye/gdb/top.c (for version number)

2004-05-23 chenyu, Xie Jun, Jiao Zhenqiang
        * fix a bug for straongarm, xscale, just like 2004-05-09 bug,
        * include LoadMult LoadSMult StoreMult StoreSMult functins.
	* now, the application using dynamic lib can run correctly.
	* NOTICE, not take care LDC STC intructions,look armsupp.c ARMul_LDC  
ARMul_STC !!!!
	* Changed files:
	  armemu.c armsupp.c

2004-05-09 Kang Shuo, Xie Jun, Jiao Zhenqiang,chenyu
	* fix a bug for xscale,added ESP(extend small page) support in tlb.You  can 
refer to xscle development menual(XJ, Ksh)
	* added ffuart read support in xscale(Ksh)
	* Changed files:
	  tlb.c,tlb.h,skyeye_mach_pxa.c

2004-05-09 chenyu, Xie Jun, Jiao Zhenqiang, Kang Shuo
        * fix a HUGE BUG. When skyeye simulates strongarm, xscale and other 
with MMU cpus (not include ARM720T, such as ep7312), the user program uses 
instruction with WriteBack Attr. to accesses a nonexist page(data abort will 
happen), then the REGbase will be changed. This is a error.
        *  if state->lateabtSig=1, then it means Late Abort Model(Base 
Updated Abort Model)
        *  if state->lateabtSig=0, then it means Base Restored Abort Model
        * read armdefs.h for more info
	* Changed files:
	  armcopro.c armdefs.h arminit.c skyeye_mach_at91.c skyeye_mach_cs89712.c 
skyeye_mach_ep7312.c skyeye_mach_ep7312.c skyeye_mach_pxa.c 
skyeye_mach_s3c44b0.c skyeye_mach_s3c4510b.c skyeye_mach_sa.c

2004-04-24 Ying Wenchao, Zeng Yi, chenyu
        * optimize LCD simulation
        * add Touch Screen on ep7312 simulation
        * Changed files:
          changed file:
          armdefs.h clps7110.h skyeye_lcd.c skyeye_mach_ep7312.c

2004-03-14 chenyu, Ying Wenchao, Xie Jun
	* fix a printf bug
	* changed file :
          skyeye_lcd.c

2004-03-13 chenyu, Ying Wenchao, Xie Jun
	* add LCD on ep7312 simulation
	* Changed files:
	  deleted file:
	  armlcd.c
	  added file:
          skyeye_lcd.c
	  changed file:
	  gdb/Makefile.in sim/arm/Makefile.in
	  armdefs.h armem.c skyeye_config.h skyeye_optin.c skyeye_mach_ep7312.c

2004-03-11 Kang Shuo, chenyu
	* add ne2k chip on ep7312 simulation
	* Important: add  struct ARMul_io io in ARMul_State for more scalable 
Device support
	* changed files:
	  armdefs.h clps7110.h skyeye_mach_at91.c skyeye_mach_ep7312.c 
skyeye-ne2k.[ch]

2004-01-14 Trilok Soni<trilok_soni@yahoo.co.in>, chenyu
        * Trilok Soni added simulation codes for cs89712.
        * new files:
          ep7212.h cs89712.h skyeye_mach_cs89712.c
        * changed files:
          skyeye_option.c

2003-10-06 walimis <wlm@student.dlut.edu.cn>
	* skyeye_mach_s3c4510b.c: clean some codes, modify interrupt routine,
				  now successfully support booting uclinux.

2003-09-29 aleph <aleph@develer.com>
	* skyeye_options.c (split_param): put parameter name in param argument even 
when no "=" is found and error
	is returned.

2003-09-21 chenyu
      * :don't malloc space for io addr (so skyeye couldn't eat more 
mem),and process mem type in skyeye_options.c
      * : add type field in mem_bank_t struct, mem_type: MEMTYPE_IO, 
MEMTYPE_RAM, MEMTYPE_ROM
      * : fix bug:  process boot parameter :do_mem_bank_option 
funtion:skyeye_options:224
      * changed file:  armmem.c armmem.h skyeye_config.h skyeye_options.c
2003-09-12 simoz
	* changed file: sa_mmu.c
	Fixed bug: Next and Step doesn't work when mmu wasn't enabled
2003-09-12 chenyu
         * cancel the limit that only support one io bank in skyeye.conf, 
now support more io_banks in skyeye.conf
         * changed file: skyeye_config.h skyeye_options.c
	 *-------
         * add judgement after malloc, so when malloc failed, skyeye will 
exit.
         * changed file: arminit.c armmem.c armsupp.c skyeye_config.c 
wrapper.c mmu/rb.c
2003-09-10 simoz
         * changed file: armmem.c
         More checks on pointers

2003-09-10 simoz,chenyu
	* changed file: armmem.c
	recover clean up code from simoz: v1.4 v1.5

2003-09-10 simoz
       * changed file: sa_mmu.c
       checked the instruction cache in function sa_mmu_write. This will
       prevent the instruction cache to differ from memory. This patch fix 
the
       bug #1. It's now possible to use 'step' and 'next' command in gdb
       enviroment.
2003-09-03 chenyu
      * add xscale simulation, and change a lot of files:
        Important changes are in armemu.c(based on armemu.c in 
gdb+dejagnu-20030726.tar.bz2), which support ARMv5 instructions; armcopro.c, 
which support more coporcessors; armsupp.c&arminit.c, which change some init 
functions.
        Important added files are skyeye_mach_pxa.c, pxa.h, xscale_copro.c
	please notice important comments wich strings: '2003-08-' or '2003-09-'or 
'????'. Try command 'grep 2003-08- *.[ch]
2003-08-26 simoz, chenyu
      * fix bugs in skyeye_mach_sa.c skyeye_options.c:
        skyeye_mach_sa.c - Changed constant fd with parameter 
skyeye_config.uart.fd_in.
                         - change fun select(1,....) to 
select(skyeye_config.uart.fd_in+1,...)
        skyeye_options.c - Fixed bug checking a return value.

2003-08-21 chenyu
       * changed file:
       * add function to log skyeye state info to a log file:
	skyeye_config.h: modify macro: SKYEYE_OUTREGS, SKYEYE_OUTMOREREGS, add 
log_config_t define... all for log_config_t
	skyeye_config.c: disable old skyeye_logfd process,the process now is in 
do_log_option::skyeye_option.c
	skyeye_options.c: add fun do_log_option to log skyeye info to a log file
	in skyeye.conf, could add a line like below:
	log: logon=0, logfile=/tmp/sk1.log, start=100000, end=200000
	  logon = 0 or 1 0:doesn't log, 1 do log
	  logfile: the filename which have the log info
	  start: the start point of instruction flow to log, should >=0
	  end:   the end   point of instruction flow to log
       * fix bug:
	skyeye_config.c::line 79:  error :: only malloc string_i byte!
	     from
                params[num_params] = malloc(string_i);
	     to
                params[num_params] = malloc((string_i+16)&0xfffffff0);


2003-8-09 walimis <wlm@student.dlut.edu.cn>
	* changed file:
	  skyeye_config.h skyeye_options.c :
	  add boot parameter to mem_bankoption.
	  add start_address to skyeye_config_t struct. this member is the start 
address of program.
	  if a mem_bank has this parameter, the addr of this  mem_bank should 
should be the start address of the program. e.g.
	  mem_bank: map=M, type=RW, addr=0x10000000, size=0x00000800, 
file=./loader.bin, boot=yes
	  then 0x10000000 should be the start address.
	  wrapper.c: before program is running, set the PC of CPU to the 
start_address.
2003-8-08 walimis <wlm@student.dlut.edu.cn>
	* changed file:
	  skyeye_config.h, skyeye_options.c:add uart option, which has fd_in
	  	and fd_out. now you can use them to connect real serial port.
		you can add an option to skyeye.conf as below:
		uart: fd_in=/dev/ttyS0, fd_out=/dev/ttyS0.
		then use a terminal connect host's COM1, you can see the output in
		the terminal.
	 skyeye_mach_ep7312.c, skyeye_mach_at91.c: replace stdin and stdout
	 	with new uart option, fd_in and fd_out.
	 wrapper.c: add skyeye_option_init function before skyeye_read_config.
2003-8-01 simoz
	* changed file:
        armmem.c
	cleanup code
2003-8-01 chenyu
       * changed file:
         skyeye_mach_at91.c :more strict exam in io_write_word and 
io_read_word when os access unknown addr
         armmem.c : use SKYEYE_OUTREGS in some place
         armemu.c : use SKYEYE_OUTREGS in line379
         skyeye_config.h : add a info function macro: SKYEYE_OUTREGS

2003-7-21 walimis <wlm@student.dlut.edu.cn>
	* add files:skyeye_mach_s3c44b0.c and s3c44b0.h to support s3c44b0.
		but it's not completed.
	* change files: skyeye_options.c and Makefile.in to support s3c44b0.
	* change files: skyeye_mach_s3c4510b.c. correct timer support.now it
			can boot uclinux for s3c4510b.
2003-7-17 walimis <wlm@student.dlut.edu.cn>
	* change file:skyeye_config.h, add "mach_io_reset" and "mach_update_int"
		members to machine_config_t. now every machine has its
		io_reset and update_int functions. then we can remove update_int
		from armio.c.
	* change file:armio.c, clean some routines. later we should move the lcd
		routine somewhere.
	* change file:armio.h, remove struct io_state_t.
	* change file:armdefs.h, remove io_state_t from ARMul_State struct.
	* change file:arminit.c, remove io_reset.
	* change file:armmem.c, clean codes.
	* change file:wrapper.c, move io_reset here.
	* change file:skyeye_mach_*.c, add io_state struct to every machine.
	* add file:at91.h for skyeye_mach_at91.c
	* :s3c4510b.h.
	* change file:skyeye-ne2k.c, change state->io.intsr to state->interrupt.
		update_int to mach_update_int
2003-07-11 lyh chenyu
        * : skyeye-v0.3.0 is released.
	* : murge strongarm simulation from lyh based on skyeye-v0.2.6 with 
skyeye-v0.2.9
	* : change the simulation of read/write byte/halfword process. the changed 
files include armvirt.[ch] armmmu.[ch]
	* :   armem.[ch] skyeye_mach_*.*  *_mmu.*
	* : change the simulation of write buffer process. the access size be 
changed from word to byte. the changed files
	* :   include mmu/wb.*
2003-06-06 chenyu
	* :support vnet driver ver0.2, now host OS <----> many guest OSes ok!
	* add file:if_vnet.h, should be same as vnet/if_vnet.h
	* change file: sim/arm/skyeye_net_vnet.c,  
sim/arm/skyeye_net_tuntap.c(little change)
	* notice: only one skyeye file config hostip=x.x.x.x, other skyeye file 
config hosip=0.x.x.x, then
	*	: skyeye know only open dev file for hostif one time.
2003-05-31 chenyu
	* :move to gdb-5.3
	* change file: gdb/main.c  gdb/Makefile.in sim/common/run.c 
sim/common/Make-common.in  sim/arm/*

2003-05-26 chenyu
	* fixed bugs: the 8019's BNRY is been changed when xmit packet in driver, 
because when outb(NE_DMA), the skyeye will read the content of NE_DMA, so 
the BNRY changed.
	* change file:
          armvirt.c :  fix bug: when wirte byte or halfword in io addr 
space, shoud not read it first.
          skyeye_config.h:  add:  add ioaddr_config struct and field in 
skyeye_config global variable
          skyeye_options.c: add: get options and set them to ioaddr_config 
struct in skyeye_config global variable

2003-04-27 chenyu
       *aim: change skyeye to support vnet or tuntap net device at the same 
time
       *add file: skyeye_net.c skyeye_net_tuntap.c skyeye_net_vnet.c
       *change file: skyeye_config.[ch] skyeye_options.c skyeye-ne2k.c 
Makefile.in ...

2003-4-2 walimis <walimi@peoplemail.com.cn>
	* add skyeye.h,include some macros for debug.and replace DEB_PRINT in
	skyeye_mach_ep7312.c.add include file skyeye.h to armdef.h
	* add files below to support samsung s3c4510b.but now it hasn't been
	completed:
		skyeye_mach_s3c4510b.c
		s3c4510b.h
	* modify skyeye_armmach.h to support samsung s3c4510b.
	add mach "s3c4510b".
	* modify Makefile.in to add skyeye_mach_s3c4510b.c.
	* add our skyeye's ChangeLog file.
	rename original ChangeLog to ChangeLog.old.
	* add net option.

2003-01-31: yangye,chenyu
	* skyeye-v0.2
	* support NIC simulation
2002-12-14: chenyu
	* skyeye-v0.1
        * add function to parse skyeye.conf, support ucosii and uclinux
2002-12-01: chenyu
	SkyEye Project initialized.


